<?php
require('funkce.inc.php');

if (empty($_GET['id'])) {
	header("Location: index.php");
} else {

if (empty($_POST)) {
	
$bugID[0] = $_GET['id'];	
	
$bugy = sqlDotaz('SELECT b.*, s.nazev stav_nazev, r.login resitel_login FROM bg_bug b, bg_stav s, bg_uzivatel r WHERE b.stav = s.id AND b.resitel = r.login AND b.id = ?', $bugID);

if (count($bugy) == 1) {

$bug = $bugy[0];

zahlavi('Bug ' . $bug['id'] . ': ' . $bug['nazev']);

//htmlZnacka('h2', 'Popis');
html('<p>');
html('<strong>Řešitel:</strong> ' . odkazNaUzivatele($bug['resitel']));
html('<br/>');
html('<strong>Zadavatel:</strong> ' . odkazNaUzivatele($bug['zadavatel']));
html('<br/>');
html('<strong>Datum nahlášení:</strong> ' . $bug['datum']);
html('<br/>');
html('<strong>Stav:</strong> ' . $bug['stav_nazev']);
html('</p>');

htmlOdstavec($bug['popis']);

htmlZnacka('h2', 'Komentáře');
$komentare = sqlDotaz('SELECT * FROM bg_komentar WHERE bug = ? ORDER BY datum', $bugID);

if (count($komentare) < 1) {
	htmlOdstavec('Zatím bez komentáře.');
} else {
	foreach($komentare as $k) {
		html('<p class="komentar">');
		html('<div class="komentarZahlavi">');
		html('<span class="komentarAutor">'  . odkazNaUzivatele($k['autor']) . ':</span>');
		html('<span class="komentarNazev">'  . $k['nazev'] . '</span>');
		html('<span class="komentarDatum">(' . $k['datum'] . ')</span>');
		//html('<span class="komentarOdpovedet"><a id="k' . $k['id'] . '" href="#k' . $k['id'] . '">#</a></span>');
		html('</div>');
		
		html('<div class="komentarText">');
		html($k['popis']);
		html('</div>');
		html('</p>');
	} 
}
html('<a id="posledniKomentar"/>');

htmlZnacka('h2', 'Úprava bugu');
html('<form class="siroky" method="post" action="bug.php?id=' . $bug['id'] . '">
<fieldset>
<label>Předmět: <input type="text" name="nazev" maxlength="60"/></label><br/>');


html('<label>Stav: <select type="text" name="stav">');
html('<option value="null">Neměnit (' . $bug['stav_nazev'] . ')</option>');
$stavy = sqlDotaz('SELECT * FROM bg_stav');
foreach($stavy as $st) {
	html('<option value="' . $st['id'] .  '">' . $st['nazev'] . '</option>');
}
html('</select></label><br/>');


html('<label>Řešitel: <select type="text" name="resitel">');
html('<option value="null">Neměnit (' . $bug['resitel_login'] . ')</option>');
$uzivatele = sqlDotaz('SELECT login, jmeno, prijmeni FROM bg_uzivatel');
foreach($uzivatele as $uz) {
		html('<option value="' . $uz['login'] .  '">' . $uz['jmeno'] .  ' ' . $uz['prijmeni'] .  '</option>');
}
html('</select></label><br/>');


html('<textarea name="popis" cols="50" rows="10"></textarea><br/>
	<button>Přidat komentář</button>
	</fieldset>
	</form>');


zapati();

} else {
	zahlavi("Bug: nenalezen");
	htmlOdstavec('Bug s tímto číslem neexistuje');
	zapati();
	
}
}
else {
	
	$hodnoty = array(htmlspecialchars($_POST['nazev']), htmlspecialchars($_POST['popis']), $_SESSION['login'], $_GET['id']);
	
	//foreach($hodnoty as $h) {
	//	html('--------------\n');
	//	html($h . '\n');
	//	html('--------------\n');
	//}
	
	sqlDotaz('INSERT INTO bg_komentar (nazev, popis, autor, bug) VALUES (?, ?, ?, ?)', $hodnoty);
	
	if ($_POST['stav'] != 'null') {
		sqlDotaz('UPDATE bg_bug SET stav = ? WHERE id = ?', array($_POST['stav'], $_GET['id']));
	}
	
	if ($_POST['resitel'] != 'null') {
		sqlDotaz('UPDATE bg_bug SET resitel = ? WHERE id = ?', array($_POST['resitel'], $_GET['id']));
	}
	
	
	header('Location: bug.php?id=' . htmlspecialchars($_GET['id']) . '#posledniKomentar');
	
}


}
?>
