CREATE TABLE `bg_bug` (
  `id` int(11) NOT NULL auto_increment,
  `zadavatel` varchar(16) NOT NULL,
  `resitel` varchar(16) default NULL,
  `nazev` varchar(64) NOT NULL,
  `popis` text NOT NULL,
  `datum` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `produkt` varchar(16) NOT NULL,
  `stav` int(11) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM;

CREATE TABLE `bg_komentar` (
  `id` int(11) NOT NULL auto_increment,
  `datum` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `nazev` varchar(256) NOT NULL,
  `popis` text NOT NULL,
  `autor` varchar(16) NOT NULL,
  `bug` int(11) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM;

CREATE TABLE `bg_produkt` (
  `kod` varchar(16) NOT NULL,
  `nazev` varchar(256) NOT NULL,
  `popis` text NOT NULL,
  `spravce` varchar(16) NOT NULL,
  PRIMARY KEY  (`kod`)
) ENGINE=MyISAM;

CREATE TABLE `bg_stav` (
  `id` int(11) NOT NULL auto_increment,
  `nazev` varchar(16) NOT NULL,
  `popis` text NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM;

CREATE TABLE `bg_uzivatel` (
  `login` varchar(16) NOT NULL,
  `heslo` varchar(256) NOT NULL,
  `jmeno` varchar(32) NOT NULL,
  `prijmeni` varchar(32) NOT NULL,
  `email` varchar(32) NOT NULL,
  PRIMARY KEY  (`login`)
) ENGINE=MyISAM;
